main.floors.MT0=
{
"floorId": "MT0",
"title": "主塔 0 层",
"name": "0",
"canFlyTo": true,
"canUseQuickShop": true,
"defaultGround": "ground",
"png": [],
"map": [
    [  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3],
    [  3,  1,  4,  4,  4,  1, 87,  1,  4,  4,  4,  1,  3],
    [  3,  1,  4,  4,  4,  1, 49,  1,  4,  4,  4,  1,  3],
    [  3,  1,  4,  4,  4,  1, 47,  1,  4,  4,  4,  1,  3],
    [  3,  1,  4,  4,  4,  1, 50,  1,  4,  4,  4,  1,  3],
    [  3,  1,  4,  4,  4,  1, 69,  1,  4,  4,  4,  1,  3],
    [  3,  1,  4,  4,  4,  1,  0,  1,  4,  4,  4,  1,  3],
    [  3,  1,  1,  4,  4,  1,  0,  1,  4,  4,  1,  1,  3],
    [  3,  1,  1,  1,  1,  1, 81,  1,  1,  1,  1,  1,  3],
    [  3,  5,  1,  5,  1,124,124,  0,  1,  5,  1,  5,  3],
    [  3,  5,  5,  5,  5,  5,  0,  5,  5,  5,  5,  5,  3],
    [  3,  5,  5,  5,  5,  5,  0,  5,  5,  5,  5,  5,  3],
    [  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3,  3]
],
"firstArrive": [
    {
        "type": "if",
        "condition": "flag:hard",
        "true": [
            {
                "type": "hide",
                "loc": [
                    [
                        6,
                        5
                    ]
                ]
            },
            {
                "type": "hide",
                "loc": [
                    [
                        6,
                        2
                    ]
                ]
            },
            {
                "type": "hide",
                "loc": [
                    [
                        6,
                        3
                    ]
                ]
            },
            {
                "type": "hide",
                "loc": [
                    [
                        6,
                        4
                    ]
                ]
            },
            {
                "type": "hide",
                "loc": [
                    [
                        11,
                        1
                    ]
                ],
                "floorId": "MT15"
            }
        ],
        "false": []
    },
    "\t[hero]\b[up,hero]你是谁啊？",
    "\t[仙子,fairy]\b[up,6,9]拿来十字架。给你提高实力",
    "\t[仙子,fairy]\b[up,6,9]给你三把钥匙",
    {
        "type": "setValue",
        "name": "item:yellowKey",
        "value": "item:yellowKey+1"
    },
    {
        "type": "setValue",
        "name": "item:blueKey",
        "value": "item:blueKey+1"
    },
    {
        "type": "setValue",
        "name": "item:redKey",
        "value": "item:redKey+1"
    },
    "\t[仙子,fairy]\b[up,6,9]战斗吧！",
    {
        "type": "move",
        "loc": [
            6,
            9
        ],
        "time": 750,
        "steps": [
            "left"
        ],
        "immediateHide": true
    },
    {
        "type": "show",
        "loc": [
            [
                5,
                9
            ]
        ]
    }
],
"events": {
    "5,9": {
        "trigger": null,
        "enable": false,
        "noPass": null,
        "displayDamage": true,
        "data": [
            {
                "type": "if",
                "condition": "item:cross>0",
                "true": [
                    {
                        "type": "setValue",
                        "name": "flag:levelUp",
                        "value": "true"
                    },
                    "\t[仙子,fairy]\b[up]我现在将你的全属性提升1/3！\n嗡嘛呢叭咪吽！",
                    {
                        "type": "animate",
                        "name": "yongchang"
                    },
                    {
                        "type": "animate",
                        "name": "levelup",
                        "loc": "hero"
                    },
                    {
                        "type": "setValue",
                        "name": "item:cross",
                        "value": "0"
                    },
                    {
                        "type": "setValue",
                        "name": "status:hp",
                        "value": "status:hp*4/3"
                    },
                    {
                        "type": "setValue",
                        "name": "status:atk",
                        "value": "status:atk*4/3"
                    },
                    {
                        "type": "setValue",
                        "name": "status:def",
                        "value": "status:def*4/3"
                    },
                    {
                        "type": "hide",
                        "time": 500
                    }
                ],
                "false": [
                    "\t[仙子,fairy]\b[up]十字架拿到了吗？"
                ]
            }
        ]
    },
    "6,2": null,
    "8,9": [
        {
            "type": "choices",
            "text": "bgm",
            "choices": [
                {
                    "text": "1",
                    "action": [
                        {
                            "type": "playBgm",
                            "name": "bgm 1.mp3"
                        }
                    ]
                },
                {
                    "text": "2",
                    "action": [
                        {
                            "type": "playBgm",
                            "name": "bgm 2.mp3"
                        }
                    ]
                },
                {
                    "text": "3",
                    "action": [
                        {
                            "type": "playBgm",
                            "name": "bgm 3.mp3"
                        }
                    ]
                },
                {
                    "text": "4",
                    "action": [
                        {
                            "type": "playBgm",
                            "name": "bgm 4.mp3"
                        }
                    ]
                },
                {
                    "text": "5",
                    "action": [
                        {
                            "type": "playBgm",
                            "name": "bgm 5.mp3"
                        }
                    ]
                },
                {
                    "text": "6",
                    "action": [
                        {
                            "type": "playBgm",
                            "name": "bgm 6.mp3"
                        }
                    ]
                }
            ]
        }
    ],
    "7,6": null,
    "6,5": null,
    "6,4": null,
    "6,3": null,
    "8,2": null,
    "7,2": null
},
"changeFloor": {
    "6,1": {
        "floorId": "MT1",
        "stair": "downFloor"
    },
    "6,2": null,
    "7,6": null,
    "6,5": null,
    "7,2": null,
    "8,2": null,
    "6,4": null,
    "6,3": null
},
"afterBattle": {
    "6,2": null,
    "7,6": null,
    "6,5": null,
    "7,2": null,
    "8,2": null,
    "6,4": null,
    "6,3": null
},
"afterGetItem": {
    "6,2": null,
    "7,6": null,
    "6,5": null,
    "7,2": null,
    "8,2": null,
    "6,4": null,
    "6,3": null
},
"afterOpenDoor": {
    "6,2": null,
    "7,6": null,
    "6,5": null,
    "7,2": null,
    "8,2": null,
    "6,4": null,
    "6,3": null
},
"cannotMove": {
    "6,2": null,
    "7,6": null,
    "6,5": null,
    "7,2": null,
    "8,2": null,
    "6,4": null,
    "6,3": null
},
}